Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

query
string

The terms to search on.

filter
string

A set of filter expressions representing the search parameters for a query: eq=equals, ne=not equals, gt=greater than, lt = less than or equals, gt = greater than or equals, lt = less than or equals, sw = starts with, or cont = contains. Optional.

facetTemplate
string

The template to use for what facets to compute. ex: categoryId:id

facetTemplateSubset
string

If you only want to return a subset of the facets defined in the template. ex: category,price,rating

facet
string

Fields to facet on in addition to the optionally provided facetTemplate. ex: category,price,rating

facetFieldRangeQuery
string

Facet field range. ex: field:[val+TO+val] can also label

facetHierPrefix
string

Facet hierarchy prefix. Skip these levels on a hierarchical facet. ex: field:foo/bar/bing

facetHierValue
string

Find the node to start with given a unique lookup value, instead of requiring a prefix path. ex: field:bing

facetHierDepth
string

Facet hierarchy depth. Number of levels to return. ex: category:1

facetStartIndex
string

Facet offset

facetPageSize
string

Facet page size

facetSettings
string

Deprecated

facetValueFilter
string

Apply facet values as a filter. ex: category:3,price:[* TO 100]

sortBy
string

The element to sort the results by and the order in which the results appear. Either ascending (a-z) or descending (z-a) order. Optional.

sliceSearchResults
boolean
default:false

Whether to slice results or not

pageSize
integer<int32>

Used to page results from a query. Indicates the maximum number of entities to return from a query. The default value is 12 and the maximum value is 200. Optional.

startIndex
integer<int32>
default:0

Used to page results from a query. Indicates the zero-based offset in the complete result set where the returned entities begin. The default value is 0. Optional.

searchSettings
string

The name of a SiteSearchSettings (search relevancy settings) scheme to use. Defaults to whichever Settings is marked as IsDefault=true.

enableSearchTuningRules
boolean
default:true

Use search-tuning-rules or not

searchTuningRuleContext
string

The filters which the search tuning rules will match on.

searchTuningRuleCode
string

Search-Tuning-Rule Code

responseGroups
string

A list of property groups to return instead of using the granular responseFields param. ex: categories,properties,options

facetTemplateExclude
string
facetPrefix
string
responseOptions
string
cursorMark
string

Pass in * to begin a deep page operation. The response will include a nextCursorMark value. Pass this into the next call. Continue with this pattern until nextCursorMark is null.

facetValueSort
string
returnUrl
boolean
default:false

Only respond with the request made to the search-engine, for one "groups" parameter value. Default is false. Optional parameter.

mid
string

Personalization Id (Monetate Id)

omitNamespace
boolean
campaignId
string
merchandizingRuleCode
string

Optional. Use a specific search-merchandizing-rule code if provided.

responseFields
string
rows
integer<int32>
start
integer<int32>
q
string

optional alternative to query for debugging tools

collapse
boolean
default:true

Response

200

OK